Subject: No option to add whisker menu to xfce panel after installing package xfce4-whiskermenu-plugin.

From: [email-masked]
Date: Sat, 28 Nov 2020 00:05:48 -0500

After doing a fresh install of Guix system using the graphics install menu and picking the xfce option, I decided to substitute xfce's "Applications" menu with the "Whisker" menu.

Thus, I used command "guix install xfce4-whiskermenu-plugin" to install the package. After a system reboot, I opened the menu for adding items to the xfce panel. However, the option "Whisker Menu" isn't there.

I asked this problem on irc and irc user "mroh" told me that this plugin looks broken and they will try to fix it. They also asked me to make a bug report:
> mroh | PotentailUser-53: that plugin does indeed looks broken: ~/.guix-profile/bin/xfce4-popup-whiskermenu: line 47: /gnu/store/clmv25gbfjrajvh8bsnhfj3w86kry004-xfce4-whiskermenu-plugin-2.4.6/bin/xfce4-panel: No such file or directory

Regards.